%global spec_ver 1.0
%global spec_name geronimo-validation_%{spec_ver}_spec

Name:           geronimo-validation
Version:        1.1
Release:        %mkrel 21
Group:          Development/Java

Summary:        Geronimo implementation of JSR 303
License:        ASL 2.0
# should be https://geronimo.apache.org/
URL:            https://apache.org/
# svn export https://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-validation_1.0_spec-1.1/
# tar caf geronimo-validation_1.0_spec-1.1.tar.xz geronimo-validation_1.0_spec-1.1
Source0:        %{spec_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  geronimo-parent-poms
BuildRequires:  geronimo-osgi-support

%description
This is the Geronimo implementation of JSR-303, the Bean
Validation API specification.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{spec_name}-%{version}
%pom_xpath_set "pom:project/pom:parent/pom:groupId" org.apache.geronimo.specs
%pom_xpath_set "pom:project/pom:parent/pom:artifactId" specs
%pom_xpath_set "pom:project/pom:parent/pom:version" 1.4
%pom_xpath_inject "pom:project/pom:parent" "<relativePath>../pom.xml</relativePath>"
%pom_xpath_set "pom:project/pom:packaging" jar

%mvn_file : %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE
%license LICENSE NOTICE



%changelog
* Thu May 23 2024 ns80 <ns80> 1.1-21.mga10
+ Revision: 2066656
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.1-20.mga9
+ Revision: 1828798
- Mageia 9 Mass Rebuild

* Sat Sep 05 2020 daviddavid <daviddavid> 1.1-19.mga8
+ Revision: 1622284
- Rebuilt for JDK-11

* Tue Feb 11 2020 umeabot <umeabot> 1.1-18.mga8
+ Revision: 1489296
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1-17.mga7
+ Revision: 1260344
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 1.1-16.mga6
+ Revision: 982600
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1-15.mga6
+ Revision: 976270
- First rebuild of the java stack
- sync package geronimo-validation with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-8.mga5
+ Revision: 748262
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 1.1-6.mga4
+ Revision: 563665
- Fix Build

* Thu Dec 19 2013 dmorgan <dmorgan> 1.1-5.mga4
+ Revision: 558846
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 351476
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 25 2012 dmorgan <dmorgan> 1.1-2.mga3
+ Revision: 263472
- Obsoletes geronimo-validation-1.0-api as this is the same package

* Thu Jun 21 2012 dmorgan <dmorgan> 1.1-1.mga3
+ Revision: 262526
- imported package geronimo-validation


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 17 2011 Andy Grimm <agrimm@gmail.com> 1.1-3
- add jpackage-utils dep for javadoc subpackage

* Tue Oct 18 2011 Andy Grimm <agrimm@gmail.com> 1.1-2
- add maven fragment mapping for javax.validation

* Mon Oct 17 2011 Andy Grimm <agrimm@gmail.com> 1.1-1
- Initial Build
